Index: src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.BaseRevisionTextPatchEP
<+>package VmiLogic.stepdefinitions;\n\nimport VmiLogic.tasks.VariosProductosQuery;\nimport VmiLogic.tasks.VariosProductosRabbitMq;\nimport VmiLogic.utils.Conexion;\nimport cucumber.api.java.en.Given;\nimport cucumber.api.java.en.Then;\nimport cucumber.api.java.en.When;\nimport net.serenitybdd.screenplay.Actor;\nimport net.serenitybdd.screenplay.ensure.Ensure;\n\npublic class VariosProductosStepDefinitions {\n\n    private Actor Andrea = Actor.named(\"Andrea\");\n\n\n    @Given(\"^tengo un mensaje en la cola OMSTransportIntegratorqueue con tipo de negocio \\\\(VMI\\\\) y con varios productos de varios proveedores$\")\n    public void tengoUnMensajeEnLaColaOMSTransportIntegratorqueueConTipoDeNegocioVMIYConVariosProductosDeVariosProveedores() {\n        // Write code here that turns the phrase above into concrete actions\n\n         Andrea.attemptsTo((VariosProductosRabbitMq.Message()));\n    }\n\n\n    @When(\"^el QA haga la consulta en la coleccion transportOrderData$\")\n    public void elQAHagaLaConsultaEnLaColeccionTransportOrderData() {\n        // Write code here that turns the phrase above into concrete actions\n\n        Andrea.attemptsTo(VariosProductosQuery.Query());\n\n    }\n\n    @Then(\"^el QA deberia ver un registro correspondiente al mensaje inyectado que contenga los productos de éste mismo$\")\n    public void elQADeberiaVerUnRegistroCorrespondienteAlMensajeInyectadoQueContengaLosProductosDeÉsteMismo() {\n        // Write code here that turns the phrase above into concrete actions\n        Conexion conexion = null;\n        conexion = new Conexion();\n\n        //Andrea.attemptsTo(\n             //Ensure.that((String)conexion.mostrar(\"recipientName\",\"1211713388444-01\")).isEqualTo(\"steven henao mejia\"));\n\n    }\n\n\n}\n
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java b/src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java
--- a/src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java	
+++ b/src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java	
@@ -16,7 +16,7 @@
 
     @Given("^tengo un mensaje en la cola OMSTransportIntegratorqueue con tipo de negocio \\(VMI\\) y con varios productos de varios proveedores$")
     public void tengoUnMensajeEnLaColaOMSTransportIntegratorqueueConTipoDeNegocioVMIYConVariosProductosDeVariosProveedores() {
-        // Write code here that turns the phrase above into concrete actions
+
 
          Andrea.attemptsTo((VariosProductosRabbitMq.Message()));
     }
@@ -24,7 +24,7 @@
 
     @When("^el QA haga la consulta en la coleccion transportOrderData$")
     public void elQAHagaLaConsultaEnLaColeccionTransportOrderData() {
-        // Write code here that turns the phrase above into concrete actions
+
 
         Andrea.attemptsTo(VariosProductosQuery.Query());
 
@@ -32,12 +32,12 @@
 
     @Then("^el QA deberia ver un registro correspondiente al mensaje inyectado que contenga los productos de éste mismo$")
     public void elQADeberiaVerUnRegistroCorrespondienteAlMensajeInyectadoQueContengaLosProductosDeÉsteMismo() {
-        // Write code here that turns the phrase above into concrete actions
+
         Conexion conexion = null;
         conexion = new Conexion();
 
-        //Andrea.attemptsTo(
-             //Ensure.that((String)conexion.mostrar("recipientName","1211713388444-01")).isEqualTo("steven henao mejia"));
+        Andrea.attemptsTo(
+             Ensure.that((String)conexion.mostrar("recipientName","1211713388444-01")).isEqualTo("steven henao mejia"));
 
     }
 
Index: .idea/workspace.xml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.BaseRevisionTextPatchEP
<+><?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<project version=\"4\">\n  <component name=\"AutoImportSettings\">\n    <option name=\"autoReloadType\" value=\"SELECTIVE\" />\n  </component>\n  <component name=\"ChangeListManager\">\n    <list default=\"true\" id=\"17fcd271-4ff4-4706-a8be-95dba3668836\" name=\"Changes\" comment=\"\" />\n    <option name=\"SHOW_DIALOG\" value=\"false\" />\n    <option name=\"HIGHLIGHT_CONFLICTS\" value=\"true\" />\n    <option name=\"HIGHLIGHT_NON_ACTIVE_CHANGELIST\" value=\"false\" />\n    <option name=\"LAST_RESOLUTION\" value=\"IGNORE\" />\n  </component>\n  <component name=\"ExternalProjectsData\">\n    <projectState path=\"$PROJECT_DIR$\">\n      <ProjectState />\n    </projectState>\n  </component>\n  <component name=\"ExternalProjectsManager\">\n    <system id=\"GRADLE\">\n      <state>\n        <task path=\"$PROJECT_DIR$\">\n          <activation />\n        </task>\n        <projects_view />\n      </state>\n    </system>\n  </component>\n  <component name=\"FileTemplateManagerImpl\">\n    <option name=\"RECENT_TEMPLATES\">\n      <list>\n        <option value=\"Class\" />\n      </list>\n    </option>\n  </component>\n  <component name=\"Git.Settings\">\n    <option name=\"RECENT_GIT_ROOT_PATH\" value=\"$PROJECT_DIR$\" />\n  </component>\n  <component name=\"GitSEFilterConfiguration\">\n    <file-type-list>\n      <filtered-out-file-type name=\"LOCAL_BRANCH\" />\n      <filtered-out-file-type name=\"REMOTE_BRANCH\" />\n      <filtered-out-file-type name=\"TAG\" />\n      <filtered-out-file-type name=\"COMMIT_BY_MESSAGE\" />\n    </file-type-list>\n  </component>\n  <component name=\"MarkdownSettingsMigration\">\n    <option name=\"stateVersion\" value=\"1\" />\n  </component>\n  <component name=\"ProjectId\" id=\"276o2nDiHqafLxgiPm1YuxfmpQq\" />\n  <component name=\"ProjectLevelVcsManager\">\n    <ConfirmationsSetting value=\"2\" id=\"Add\" />\n  </component>\n  <component name=\"ProjectViewState\">\n    <option name=\"hideEmptyMiddlePackages\" value=\"true\" />\n    <option name=\"showLibraryContents\" value=\"true\" />\n  </component>\n  <component name=\"PropertiesComponent\"><![CDATA[{\n  \"keyToString\": {\n    \"RunOnceActivity.OpenProjectViewOnStart\": \"true\",\n    \"RunOnceActivity.ShowReadmeOnStart\": \"true\",\n    \"last_opened_file_path\": \"/home/ElkinAristizabal/Escritorio/QUIND/test_end_to_end_wikipedia\",\n    \"project.structure.last.edited\": \"Modules\",\n    \"project.structure.proportion\": \"0.0\",\n    \"project.structure.side.proportion\": \"0.0\",\n    \"settings.editor.selected.configurable\": \"reference.settingsdialog.project.gradle\"\n  }\n}]]></component>\n  <component name=\"RecentsManager\">\n    <key name=\"CreateClassDialog.RecentsKey\">\n      <recent name=\"co.com.compania.area.proyecto.userinterfaces\" />\n    </key>\n    <key name=\"ExtractSuperBase.RECENT_KEYS\">\n      <recent name=\"wikipedia.questions\" />\n    </key>\n    <key name=\"CopyClassDialog.RECENTS_KEY\">\n      <recent name=\"wikipedia.runners\" />\n    </key>\n  </component>\n  <component name=\"RunManager\" selected=\"JUnit.VariosProductosRunner\">\n    <configuration name=\"Feature: Vmi_Logic\" type=\"CucumberJavaRunConfigurationType\" factoryName=\"Cucumber java\" temporary=\"true\" nameIsGenerated=\"true\">\n      <option name=\"CUCUMBER_CORE_VERSION\" value=\"2\" />\n      <option name=\"FILE_PATH\" value=\"$PROJECT_DIR$/src/test/resources/features/Vmi_Logic.feature\" />\n      <option name=\"GLUE\" value=\"net.serenitybdd.cucumber.actors\" />\n      <option name=\"MAIN_CLASS_NAME\" value=\"cucumber.api.cli.Main\" />\n      <module name=\"Trasnport-Integrator-Exito-test.test\" />\n      <option name=\"PROGRAM_PARAMETERS\" value=\" --plugin org.jetbrains.plugins.cucumber.java.run.CucumberJvm2SMFormatter --monochrome\" />\n      <option name=\"SUGGESTED_NAME\" value=\"Feature: Vmi_Logic\" />\n      <option name=\"WORKING_DIRECTORY\" value=\"$MODULE_WORKING_DIR$\" />\n      <extension name=\"coverage\">\n        <pattern>\n          <option name=\"PATTERN\" value=\"cucumber.api.cli.*\" />\n          <option name=\"ENABLED\" value=\"true\" />\n        </pattern>\n      </extension>\n      <method v=\"2\">\n        <option name=\"Make\" enabled=\"true\" />\n      </method>\n    </configuration>\n    <configuration name=\"Scenario:  (1)\" type=\"CucumberJavaRunConfigurationType\" factoryName=\"Cucumber java\" temporary=\"true\" nameIsGenerated=\"true\">\n      <option name=\"CUCUMBER_CORE_VERSION\" value=\"2\" />\n      <option name=\"FILE_PATH\" value=\"$PROJECT_DIR$/src/test/resources/features/Vmi_Logic.feature\" />\n      <option name=\"GLUE\" value=\"net.serenitybdd.cucumber.actors\" />\n      <option name=\"MAIN_CLASS_NAME\" value=\"cucumber.api.cli.Main\" />\n      <module name=\"Trasnport-Integrator-Exito-test.test\" />\n      <option name=\"NAME_FILTER\" value=\"^$\" />\n      <option name=\"PROGRAM_PARAMETERS\" value=\" --plugin org.jetbrains.plugins.cucumber.java.run.CucumberJvm2SMFormatter --monochrome --name &quot;^$&quot;\" />\n      <option name=\"SUGGESTED_NAME\" value=\"Scenario: \" />\n      <option name=\"WORKING_DIRECTORY\" value=\"$MODULE_WORKING_DIR$\" />\n      <extension name=\"coverage\">\n        <pattern>\n          <option name=\"PATTERN\" value=\"cucumber.api.cli.*\" />\n          <option name=\"ENABLED\" value=\"true\" />\n        </pattern>\n      </extension>\n      <method v=\"2\">\n        <option name=\"Make\" enabled=\"true\" />\n      </method>\n    </configuration>\n    <configuration name=\"VariosProductosRunner (1)\" type=\"GradleRunConfiguration\" factoryName=\"Gradle\" temporary=\"true\">\n      <ExternalSystemSettings>\n        <option name=\"executionName\" />\n        <option name=\"externalProjectPath\" value=\"$PROJECT_DIR$\" />\n        <option name=\"externalSystemIdString\" value=\"GRADLE\" />\n        <option name=\"scriptParameters\" value=\"\" />\n        <option name=\"taskDescriptions\">\n          <list />\n        </option>\n        <option name=\"taskNames\">\n          <list>\n            <option value=\":test\" />\n            <option value=\"--tests\" />\n            <option value=\"&quot;VmiLogic.runners.VariosProductosRunner&quot;\" />\n          </list>\n        </option>\n        <option name=\"vmOptions\" />\n      </ExternalSystemSettings>\n      <ExternalSystemDebugServerProcess>false</ExternalSystemDebugServerProcess>\n      <ExternalSystemReattachDebugProcess>true</ExternalSystemReattachDebugProcess>\n      <DebugAllEnabled>false</DebugAllEnabled>\n      <method v=\"2\" />\n    </configuration>\n    <configuration name=\"VariosProductosRunner\" type=\"JUnit\" factoryName=\"JUnit\" temporary=\"true\" nameIsGenerated=\"true\">\n      <module name=\"Trasnport-Integrator-Exito-test.test\" />\n      <extension name=\"coverage\">\n        <pattern>\n          <option name=\"PATTERN\" value=\"VmiLogic.runners.*\" />\n          <option name=\"ENABLED\" value=\"true\" />\n        </pattern>\n      </extension>\n      <option name=\"PACKAGE_NAME\" value=\"VmiLogic.runners\" />\n      <option name=\"MAIN_CLASS_NAME\" value=\"VmiLogic.runners.VariosProductosRunner\" />\n      <option name=\"TEST_OBJECT\" value=\"class\" />\n      <method v=\"2\">\n        <option name=\"Make\" enabled=\"true\" />\n      </method>\n    </configuration>\n    <configuration name=\"VmiLogic.runners in Trasnport-Integrator-Exito-test.test\" type=\"JUnit\" factoryName=\"JUnit\" temporary=\"true\" nameIsGenerated=\"true\">\n      <module name=\"Trasnport-Integrator-Exito-test.test\" />\n      <extension name=\"coverage\">\n        <pattern>\n          <option name=\"PATTERN\" value=\"VmiLogic.runners.*\" />\n          <option name=\"ENABLED\" value=\"true\" />\n        </pattern>\n      </extension>\n      <option name=\"PACKAGE_NAME\" value=\"VmiLogic.runners\" />\n      <option name=\"TEST_OBJECT\" value=\"package\" />\n      <method v=\"2\">\n        <option name=\"Make\" enabled=\"true\" />\n      </method>\n    </configuration>\n    <recent_temporary>\n      <list>\n        <item itemvalue=\"JUnit.VariosProductosRunner\" />\n        <item itemvalue=\"JUnit.VmiLogic.runners in Trasnport-Integrator-Exito-test.test\" />\n        <item itemvalue=\"Gradle.VariosProductosRunner (1)\" />\n        <item itemvalue=\"Cucumber Java.Feature: Vmi_Logic\" />\n        <item itemvalue=\"Cucumber Java.Scenario:  (1)\" />\n      </list>\n    </recent_temporary>\n  </component>\n  <component name=\"SpellCheckerSettings\" RuntimeDictionaries=\"0\" Folders=\"0\" CustomDictionaries=\"0\" DefaultDictionary=\"application-level\" UseSingleDictionary=\"true\" transferred=\"true\" />\n  <component name=\"TaskManager\">\n    <task active=\"true\" id=\"Default\" summary=\"Default task\">\n      <changelist id=\"17fcd271-4ff4-4706-a8be-95dba3668836\" name=\"Changes\" comment=\"\" />\n      <created>1648649694660</created>\n      <option name=\"number\" value=\"Default\" />\n      <option name=\"presentableId\" value=\"Default\" />\n      <updated>1648649694660</updated>\n    </task>\n    <servers />\n  </component>\n  <component name=\"UnknownFeatures\">\n    <option featureType=\"dependencySupport\" implementationName=\"java:io.cucumber:cucumber-java\" />\n    <option featureType=\"dependencySupport\" implementationName=\"java:com.google.inject:guice\" />\n    <option featureType=\"dependencySupport\" implementationName=\"java:org.seleniumhq.selenium:selenium-java\" />\n  </component>\n  <component name=\"Vcs.Log.Tabs.Properties\">\n    <option name=\"TAB_STATES\">\n      <map>\n        <entry key=\"MAIN\">\n          <value>\n            <State />\n          </value>\n        </entry>\n      </map>\n    </option>\n  </component>\n  <component name=\"VcsManagerConfiguration\">\n    <option name=\"ADD_EXTERNAL_FILES_SILENTLY\" value=\"true\" />\n  </component>\n  <component name=\"XDebuggerManager\">\n    <breakpoint-manager>\n      <breakpoints>\n        <breakpoint enabled=\"true\" type=\"java-exception\">\n          <properties class=\"java.lang.NullPointerException\" package=\"java.lang\" />\n          <option name=\"timeStamp\" value=\"1\" />\n        </breakpoint>\n      </breakpoints>\n    </breakpoint-manager>\n  </component>\n  <component name=\"com.intellij.coverage.CoverageDataManagerImpl\">\n    <SUITE FILE_PATH=\"coverage/satrack_arq_test$WikipediaSearchRunner.ic\" NAME=\"WikipediaSearchRunner Coverage Results\" MODIFIED=\"1652304662538\" SOURCE_PROVIDER=\"com.intellij.coverage.DefaultCoverageFileProvider\" RUNNER=\"idea\" COVERAGE_BY_TEST_ENABLED=\"false\" COVERAGE_TRACING_ENABLED=\"false\" />\n  </component>\n</project>
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/.idea/workspace.xml b/.idea/workspace.xml
--- a/.idea/workspace.xml	
+++ b/.idea/workspace.xml	
@@ -4,7 +4,10 @@
     <option name="autoReloadType" value="SELECTIVE" />
   </component>
   <component name="ChangeListManager">
-    <list default="true" id="17fcd271-4ff4-4706-a8be-95dba3668836" name="Changes" comment="" />
+    <list default="true" id="17fcd271-4ff4-4706-a8be-95dba3668836" name="Changes" comment="">
+      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
+      <change beforePath="$PROJECT_DIR$/src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/VmiLogic/stepdefinitions/VariosProductosStepDefinitions.java" afterDir="false" />
+    </list>
     <option name="SHOW_DIALOG" value="false" />
     <option name="HIGHLIGHT_CONFLICTS" value="true" />
     <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
@@ -42,6 +45,31 @@
       <filtered-out-file-type name="TAG" />
       <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
     </file-type-list>
+  </component>
+  <component name="GitToolBoxStore">
+    <option name="recentBranches">
+      <RecentBranches>
+        <option name="branchesForRepo">
+          <list>
+            <RecentBranchesForRepo>
+              <option name="branches">
+                <list>
+                  <RecentBranch>
+                    <option name="branchName" value="master" />
+                    <option name="lastUsedInstant" value="1653495541" />
+                  </RecentBranch>
+                  <RecentBranch>
+                    <option name="branchName" value="main" />
+                    <option name="lastUsedInstant" value="1653494605" />
+                  </RecentBranch>
+                </list>
+              </option>
+              <option name="repositoryRootUrl" value="file://$PROJECT_DIR$" />
+            </RecentBranchesForRepo>
+          </list>
+        </option>
+      </RecentBranches>
+    </option>
   </component>
   <component name="MarkdownSettingsMigration">
     <option name="stateVersion" value="1" />
